Bug 169990 - inconsistent policy enforcement
inconsistent policy enforcement
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2005-10-06 02:28 EDT by Richard Hally
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-05 10:21:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Hally 2005-10-06 02:28:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
When I boot and have the /.autorelabel file, the system does the autorelabel and
I am able to start Firefox and Thunderbird. If I then do a reboot without the autorelabel firefox and thunderbird will not start and they produce AVC denied messages. I would expect that either they would start with and without the relabel or that they would not start with and without the relabel.

Version-Release number of selected component (if applicable):
selinux-policy-strict-1.27.1-13 , libselinux-1.27.3-1

How reproducible:

Steps to Reproduce:
1.boot with autorelabel
2.start firefox
3.reboot (without autorelabel)
4. attempt to start firefox

Actual Results:  firefox starts the first time but would not start the second time. 

Expected Results:  firefox should have started both times or it should have not started both times.

Additional info:
Comment 1 Daniel Walsh 2005-11-03 14:30:42 EST
Richard is this still broken?
Comment 2 John Thacker 2006-05-05 10:21:03 EDT
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.